Package org.eclipse.emf.cdo.common.revision.delta

# Interface CDOFeatureDelta

All Known Subinterfaces:
  `CDOAddFeatureDelta`, `CDOClearFeatureDelta`, `CDOContainerFeatureDelta`, `CDOListFeatureDelta`, `CDOMoveFeatureDelta`, `CDORemoveFeatureDelta`, `CDOSetFeatureDelta`, `CDOUnsetFeatureDelta`, `InternalCDOFeatureDelta`

public interface CDOFeatureDelta
Represents a change delta between two values of a single `feature`.

Author:
  Simon McDuff
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`CDOFeatureDelta.Type`
Enumerates the possible types of `feature deltas`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`NO_INDEX`
`static final Object`
`UNKNOWN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(CDOFeatureDeltaVisitor visitor)`
`void`
`apply(CDORevision revision)`
Deprecated.
As of 4.3 use `applyTo(CDORevision)`.
`Object`
`applyTo(CDORevision revision)`
`CDOFeatureDelta`
`copy()`
`EStructuralFeature`
`getFeature()`
`CDOFeatureDelta.Type`
`getType()`
`boolean`
`isStructurallyEqual(Object obj)`

## Field Details

### NO_INDEX

static final int NO_INDEX

Since:
  4.0
See Also:
  - Constant Field Values

### UNKNOWN_VALUE

static final Object UNKNOWN_VALUE

Since:
  3.0

## Method Details

### getType

CDOFeatureDelta.Type getType()

### getFeature

EStructuralFeature getFeature()

Since:
  2.0

### apply

@Deprecated void apply(CDORevision revision)
Deprecated.
As of 4.3 use `applyTo(CDORevision)`.

### applyTo

Object applyTo(CDORevision revision)

Since:
  4.3

### accept

void accept(CDOFeatureDeltaVisitor visitor)

### copy

CDOFeatureDelta copy()

Since:
  3.0

### isStructurallyEqual

boolean isStructurallyEqual(Object obj)

Since:
  4.0